summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authornarindergupta <narinder.gupta@canonical.com>2017-08-17 14:23:32 -0500
committernarindergupta <narinder.gupta@canonical.com>2017-08-17 14:23:32 -0500
commit46d324c59c8791d0e54cafc00b3e2ccaf9adf269 (patch)
tree5c765b9f066c2adb9d76b39d638b75ce0ce86f73 /ci
parent98d540cb9776e35e7d77c6544b9fa787c973d4a0 (diff)
delete pod if exist during maas deployment.
Change-Id: Id045671934696ff96d46079c0f1a8e0ea2a172c2 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/03-maasdeploy.sh3
-rw-r--r--ci/config_tpl/juju2/bundle_tpl/odl.yaml2
-rwxr-xr-xci/deploy.sh3
3 files changed, 5 insertions, 3 deletions
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index e741cd87..788454c9 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -384,7 +384,8 @@ addnodes(){
do
maas $PROFILE machine delete $m
done
- maas $PROFILE pod delete 1 || true
+ podno=$(maas $PROFILE pods read | jq -r ".[]".id)
+ maas $PROFILE pod delete $podno || true
# if we have a virshurl configuration we use it, else we use local
VIRSHURL=$(cat labconfig.json | jq -r '.opnfv.virshurl')
diff --git a/ci/config_tpl/juju2/bundle_tpl/odl.yaml b/ci/config_tpl/juju2/bundle_tpl/odl.yaml
index 0e3e1d83..2b12e6f0 100644
--- a/ci/config_tpl/juju2/bundle_tpl/odl.yaml
+++ b/ci/config_tpl/juju2/bundle_tpl/odl.yaml
@@ -5,7 +5,7 @@
bindings:
"": *oam-space
controller-api: *internal-space
- ovsdb-manager-api: *internal-space
+ ovsdb-manager: *internal-space
{% endif %}
options:
install-url: "https://nexus.opendaylight.org/content/repositories/opendaylight.release/org/opendaylight/integration/distribution-karaf/0.6.0-Carbon/distribution-karaf-0.6.0-Carbon.tar.gz"
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 3985896e..2792759f 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -210,7 +210,8 @@ deploy() {
do
maas $PROFILE machine delete $m || true
done
- maas $PROFILE pod delete 1 || true
+ podno=$(maas $PROFILE pods read | jq -r ".[]".id)
+ maas $PROFILE pod delete $podno || true
./cleanvm.sh || true